﻿using System;
using System.Collections.Generic;
using System.Data.Objects;
using PizzaModel;
// DAO object for admin-only actions
// One of these is created for each transaction needing these calls
// Has state: the EDM context object for this transaction, set up in service layer
// Note no SaveChanges or transaction actions here--those are in the service layer
namespace PizzaDAO
{
    public class AdminDAO
    {
        private PizzaEntities context;

        public AdminDAO(PizzaEntities ctx)
        {
            context = ctx;
        }

        public void AddPizzaSize(String sizeName)
        {
            PizzaSize size = new PizzaSize();
            size.SizeName = sizeName;
            context.AddObject("PizzaSize", size);
        }
        public void AddTopping(String toppingName)
        {
            Topping top = new Topping();
            top.ToppingName = toppingName;
            context.AddObject("Topping", top);
        }
        public void DeleteTopping(Topping topping)
        {
            context.DeleteObject(topping);
        }

        public void DeletePizzaSize(PizzaSize size)
        {
            context.DeleteObject(size);
        }

        public void AdvanceDay()
        {
            SysTime sys1;
            context.SysTime.FirstOrDefault(out sys1);
            sys1.CurrentDay = sys1.CurrentDay + 1;
        }

        public int FindLastReportDay()
        {
            int lastReportDay;

            SysTime sys1;
            context.SysTime.FirstOrDefault(out sys1);
            lastReportDay = sys1.LastReportDay;
            return lastReportDay;
        }

        public void UpdateLastReportDay(int lastReportDay)
        {
            SysTime sys1;
            context.SysTime.FirstOrDefault(out sys1);
            sys1.LastReportDay = lastReportDay;
        }

        public int FindCurrentDay()
        {
            int curDay;
            SysTime sys1;
            context.SysTime.FirstOrDefault(out sys1);
            curDay = sys1.CurrentDay;
            return curDay;
        }
    }
}
