﻿using System;
using System.Collections.Generic;
using PizzaModel;
using PizzaSystem;
using PizzaService;

// This is the (pathetic) console program, just enough to show this works
namespace PizzaPresentationConsole
{
    class ConsoleProgram
    {
        static void Main(string[] args)
        {
            PizzaSysTest pizza = new PizzaSysTest();
            pizza.Run();
        }
 
    }
    public class PizzaSysTest
    {
        private AdminService adminService;
        private StudentService studentService;

        public PizzaSysTest()
        {
            PizzaConfig config = new PizzaConfig();
            adminService = config.AdminService;
            studentService = config.StudentService;
        }

        public void Run()
        {
            try
            {
                adminService.AddPizzaSize("small");
                adminService.AddPizzaSize("medium");
                adminService.AddTopping("pepperoni");
                adminService.AddTopping("mushrooms");
 
                List<PizzaSize> sizes = studentService.AllPizzaSizes();
                String sizeID = sizes[0].ToString();
                List<String> toppingIDs = new List<String>();

                List<Topping> toppings = studentService.AllToppings();
                foreach (Topping t in toppings)
                {
                    toppingIDs.Add(t.ID.ToString());
                }

                int orderID = studentService.MakeOrder(5, sizeID, toppingIDs);
                List<PizzaOrder> orders = studentService.OrderStatus(5);
                foreach (PizzaOrder order in orders)
                {
                    System.Console.WriteLine(" order: " + order.ID +
                        " (" + order.PizzaSize.SizeName + "): " 
                        + (PizzaOrder.OrderStatus)order.Status);
                }
                adminService.MarkNextOrderReady();

            }
            catch (Exception e)
            {
                System.Console.WriteLine("exception: " + e);
            }
        }

    }
}
