﻿using System;
using System.Collections.Generic;
using PizzaModel;
using PizzaSystem;
using PizzaService;

namespace PizzaPresentationConsole
{
    public class PizzaSysTest
    {
        private AdminService adminService;
        private StudentService studentService;

        public PizzaSysTest()
        {
            PizzaConfig config = new PizzaConfig();
            adminService = config.AdminService;
            studentService = config.StudentService;
        }
        static void Main(string[] args)
        {
            PizzaSysTest pizza = new PizzaSysTest();
            pizza.Run();
        }

        public void Run()
        {
            try
            {
                adminService.AddPizzaSize("small");
                adminService.AddPizzaSize("medium");
                adminService.AddTopping("pepperoni");
                adminService.AddTopping("mushrooms");
        
                List<PizzaSize> sizes = studentService.AllPizzaSizes();
                String sizeID = null;
                foreach (PizzaSize s in sizes)
                    sizeID = s.ID.ToString();
                List<Topping> toppings = studentService.AllToppings();
                List<String> toppingIDs = new List<String>();
                foreach (Topping t in toppings)
                    toppingIDs.Add(t.ID.ToString());
                studentService.MakeOrder(5, sizeID, toppingIDs);
                List<PizzaOrder> orders = studentService.OrderStatus(5);
                foreach (PizzaOrder order in orders)
                {
                    System.Console.WriteLine(" order: " + order.ID +
                        " (" + order.PizzaSize.SizeName + "): " + (PizzaOrder.OrderStatus)order.Status);
                }
                adminService.MarkNextOrderReady();
                Console.WriteLine("All done");

            }
            catch (Exception e)
            {
                System.Console.WriteLine("exception: " + e);
            }
        }
    }
}
