﻿using System;

namespace PizzaModel
{
    public partial class PizzaOrder
    {
        // values for Status
        public enum OrderStatus
        {
            Preparing = 1, Baked, Finished
        }

        // add computed properties for convenience
        // "Preparing", "Baked" or "Finished"
        public string StatusString
        {
            get
            {
                return ((OrderStatus)this.Status).ToString();
            }
        }
        // List of toppings in a string, like "pepperoni, mushrooms"
        public string ToppingsList
        {
            get
            {
                String topList = "";
                bool first = true;
                foreach (Topping top in this.Topping)
                {
                    if (!first)
                        topList += ", ";  // separate names
                    topList += top.ToppingName;
                    first = false;
                }

                return topList;
            }
        }
    }

}
